Package org.bukkit.material

# Class TripwireHook

java.lang.Object
org.bukkit.material.MaterialData
org.bukkit.material.SimpleAttachableMaterialData
org.bukkit.material.TripwireHook

All Implemented Interfaces:
  `Cloneable`, `Attachable`, `Directional`, `Redstone`

@Deprecated public class TripwireHook extends SimpleAttachableMaterialData implements Redstone
Deprecated.
all usage of MaterialData is deprecated and subject to removal. Use `BlockData`.
Represents the tripwire hook

## Constructor Summary

Constructors
Constructor
Description
`TripwireHook()`
Deprecated.
`TripwireHook(BlockFace dir)`
Deprecated.
`TripwireHook(Material type, byte data)`
Deprecated.
Magic value

## Method Summary

Modifier and Type
Method
Description
`TripwireHook`
`clone()`
Deprecated.
`BlockFace`
`getAttachedFace()`
Deprecated.
Gets the face that this block is attached on
`boolean`
`isActivated()`
Deprecated.
Test if hook is currently activated
`boolean`
`isConnected()`
Deprecated.
Test if tripwire is connected
`boolean`
`isPowered()`
Deprecated.
Gets the current state of this Material, indicating if it's powered or unpowered
`void`
`setActivated(boolean act)`
Deprecated.
Set hook activated state
`void`
`setConnected(boolean connected)`
Deprecated.
Set tripwire connection state
`void`
`setFacingDirection(BlockFace face)`
Deprecated.
Sets the direction that this block is facing in
`String`
`toString()`
Deprecated.

### Methods inherited from class org.bukkit.material.SimpleAttachableMaterialData

`getFacing`

### Methods inherited from class org.bukkit.material.MaterialData

`equals, getData, getItemType, hashCode, setData, toItemStack, toItemStack`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TripwireHook

public TripwireHook()
Deprecated.

### TripwireHook

@Deprecated public TripwireHook(Material type, byte data)
Deprecated.
Magic value

Parameters:
  `type` - the type
  `data` - the raw data value

### TripwireHook

public TripwireHook(BlockFace dir)
Deprecated.

## Method Details

### isConnected

public boolean isConnected()
Deprecated.
Test if tripwire is connected

Returns:
  true if connected, false if not

### setConnected

public void setConnected(boolean connected)
Deprecated.
Set tripwire connection state

Parameters:
  `connected` - - true if connected, false if not

### isActivated

public boolean isActivated()
Deprecated.
Test if hook is currently activated

Returns:
  true if activated, false if not

### setActivated

public void setActivated(boolean act)
Deprecated.
Set hook activated state

Parameters:
  `act` - - true if activated, false if not

### setFacingDirection

public void setFacingDirection(BlockFace face)
Deprecated.
Description copied from interface: `Directional`
Sets the direction that this block is facing in

Specified by:
  `setFacingDirection` in interface `Directional`
Parameters:
  `face` - The facing direction

### getAttachedFace

public BlockFace getAttachedFace()
Deprecated.
Description copied from interface: `Attachable`
Gets the face that this block is attached on

Specified by:
  `getAttachedFace` in interface `Attachable`
Returns:
  BlockFace attached to

### isPowered

public boolean isPowered()
Deprecated.
Description copied from interface: `Redstone`
Gets the current state of this Material, indicating if it's powered or unpowered

Specified by:
  `isPowered` in interface `Redstone`
Returns:
  true if powered, otherwise false

### clone

public TripwireHook clone()
Deprecated.

Overrides:
  `clone` in class `SimpleAttachableMaterialData`

### toString

public String toString()
Deprecated.

Overrides:
  `toString` in class `SimpleAttachableMaterialData`